<?php
   include("../scripts/connect.php");
   $conexion=conecta_default();
   
   include("../scripts/session.php");
	//Validar Session
   $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
   if(!$sesion->isValida("4"))
   { /*Sesion invalida*/
		header("Location: ../login.php?err=NoSesion");
   }
   else
   {
	  $dato=explode("|",$_SESSION['usuario']);
      $sesion->setDatos($dato[0],$dato[1],$dato[2]);
   }//fin validar session

   //$promo_canti = unserialize($_POST['promo_canti']);
   $ticket_prod=unserialize($_POST['ticket_prod']);
   $ticket_canti=unserialize($_POST['ticket_canti']);
$id_cd = $sesion->id;

  $tnota=$_POST['tp'];
  $eltel=$_POST['tel'];
  $cuenta=$_POST['cuentale'];
  $cuentap=$_POST['cuentalep'];
  $entrega=$_POST['cdent'];
  $efectivo=$_POST['ef'];
  $deposito=$_POST['de'];
  $tarjeta=$_POST['ta'];
  $voucher=$_POST['vo'];
  $regalias=$_POST['re'];
  echo $porpagar=$_POST['pp'];
  $cargo_tar=$_POST['tae'];
  $rfc=$_POST['rfcpr'];
  $idvouch=$_POST['vo_id'];
   $vipi=$_POST['vip'];
     $ins=$_POST['inscrip'];
  $tarjeta=$tarjeta+$cargo_tar;
  $sumpago=$efectivo+$deposito+$tarjeta+$regalias+$voucher+$porpagar;

   //echo "TipoNota: ".$tnota."|| Cuenta: ".$cuenta." || Cuentap: ".$cuentap." || new3";

   function redondear($valor)
   {
     $float_redondeado=round($valor * 100) / 100;
     return $float_redondeado;
   }


$qp = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE rfc ='$rfc'";
$cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp = mysql_fetch_object($cp);
	$id_dist = $rp->id_inver;	
		$nombre = $rp->nombre." ".$rp->appat." ".$rp->apmat;
	   		// **********************************************************************************	
	   		  		// **********************************************************************************

		
			           $gtot=0; $puntos=0;
  echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script><center>";
  //if($tnota==10){
  echo "<FORM ACTION='eventonew4.php' method='POST'>";//}//VENTA
  ?>
  <input type='hidden' name='tiponota' value=<?php echo "'$tnota'";?>
  <?php
  //else{
  //echo "<FORM ACTION='eventonew5.php' method='POST'>";}//SALIDA
  echo"<center><br><br>$rfc $nombre";
echo "<br>";
echo "Centro de entrega:".$cdentr;
  if($tnota==10){
  echo "<br><font size=\"6\" color=\"#5C3C12\">Nota de Venta</font><br><br>RFC:$rfc NOMBRE:$nombre<br>
  Tel&eacute;fono de contacto: <b>$eltel</b><br><br>";
  echo"Centro de Entrega $entrega<bR> ";}
  else{
      echo "<SCRIPT LANGUAGE='JavaScript'>
          window.onload = function grrr(){document.bgColor = '#A9F5F2';}
          </script>";
      echo "<h1><center>Nota de Salida</center></h1>";
  }
 if($ins==8){echo"<font size=\"6\" color=\"blue\">Inscripcion ";if($vipi==1){echo"VIP</font>";}else{echo"RRB 624</font>";}}
  echo"<BR><bR>Productos de linea:
			<table CellPadding=5>
			<tr bgcolor=\"#006633\"><th><font color=\"#FFFFFF\">Cant</font></th><th><font color=\"#FFFFFF\">Producto</font></th>
			<th><font color=\"#FFFFFF\">Precio</font></th><th><font color=\"#FFFFFF\">Puntos</font></th>
			</tr>";

	for ($k=0; $k<$cuenta; $k++)
	{
		if ($_POST["cant$k"] > 0)
		{
			$A1[$k]=$_POST["cant$k"];
			$A2[$k]=$_POST["copia_nombreProd$k"];
			$A3[$k]=$_POST["copia_precio$k"];
			$A4[$k]=$_POST["copia_id_prod$k"];
			$A5[$k]=$_POST["copia_puntos$k"];
			$A6[$k]=$_POST["existencias$k"];
			echo"<input type=hidden name=copia_id_prod$k value='$A4[$k]'>
				<input type=hidden name=copia_precio$k value='$A3[$k]'>
				<input type=hidden name=copia_puntos$k value='$A5[$k]'>
				<input type=hidden name=cant$k value='$A1[$k]'> 
				<input type=hidden name=copia_nombreProd$k value='$A2[$k]'>";

			if($A6[$k]<$A1[$k])
				$continua=1;
			$tot=$A1[$k]*$A3[$k];
			$gtot+=$tot;
			$puntot=$A1[$k]*$A5[$k];
			$puntos+=$puntot;

			echo"<font size=2><tr bgcolor=\"#CCFFCC\"><td align=\"center\" width=\"30\">$A1[$k]</td>  <td align=\"center\">$A2[$k]</td> 
			<td align=\"center\">$A3[$k]</td> <td align=\"center\">$A5[$k]</td></font></tr>";

			$cip="SELECT productos.nombreProd, promop.idprodp
			    from promod join promop on promod.id_promo=promop.promop
			    join productos on promop.idprodp=productos.id_prod
			    where promod.id_promo = $A4[$k]";
			$qcip=mysql_query($cip) or die ("Error en la consulta del id de si es promo: ".mysql_error());

			if(mysql_num_rows($qcip) > 0)
			{
				for($j=0; $rw=mysql_fetch_array($qcip); $j++)
					if(isset($promo_canti[$k][$rw[1]])){ ?>
					  <tr>
					    <td><?php echo ($promo_canti[$k][$rw[1]] * $A1[$k]);?></td>
					    <td><?php echo $rw[0];?></td>
					  </tr>
					<?php }
			}
		}
	}
  $gtot+=$cargo_tar;
	//echo "<input type='hidden' name='promo_canti' value='".serialize($promo_canti)."''>";
	echo "<input type='hidden' name='ticket_p' value='".serialize($ticket_prod)."''>";
	echo "<input type='hidden' name='ticket_c' value='".serialize($ticket_canti)."''>";

			echo"</table>";
			
			echo"
			<br><table border=\"1\" bgcolor=\"#CCFFCC\">
			<tr>
			<td>Precio:</td>
			<td><b>$ $gtot</b></td>
			
			<td>Puntos:</td>
			<td><b>$puntos</b></td>
			</tr>
			</table><br><br>";

			echo"Forma de Pago<br><table border=1><tr><td>Efectivo:</td><td>$ $efectivo</td></tr>
			<tr><td>Por Pagar</td><td>$ $porpagar</td></tr>
			<tr><td>Deposito</td><td>$ $deposito</td></tr>
			<tr><td>Tarjeta</td><td>$ $tarjeta</td></tr>
			<tr><td>Regalias</td><td>$ $regalias</td></tr>
			<tr><td>voucher</td><td>$ $voucher</td></tr>
            </table><br>";	
			
			echo "<input type=hidden name=cuentale value=$cuenta><input type=hidden name=rfcpr value=\"$rfc\">
			<input type=hidden name=cdent value=$entrega> <input type=hidden name=cuentalep value=$cuentap>
			<input type=hidden name=ef value=$efectivo>
			<input type=hidden name=de value=$deposito>
			<input type=hidden name=ta value=$tarjeta>
			<input type=hidden name=re value=$regalias>
			<input type=hidden name=tel value=$eltel>
                        <input type=hidden name=vo value=$voucher>
                        <input type=hidden name=pp value=$porpagar>
			<input type=hidden name=losptos value=$puntos>
			<input type='hidden' name='vip' value='$vipi'/>
                <input type='hidden' name='inscrip' value='$ins' />
                        <input type='hidden' name='vo_id' value='$idvouch'>
			<input type=hidden name=total value='$gtot'><input type=hidden name=puntot value='$puntos'>";


					if($deposito>0){echo"Deposito: Banco <select name=banco>";
					  $qx2 = "SELECT * from bancos";
  if($id_cd==17){echo"<option value=30>Scotia Saltillo 6126</option>
	 
	  <option value=14>banamex Oxxo</option>";}
    $cx2 = mysql_query($qx2) or die ('Error en la consultasese' . mysql_error());
  
  for($i=0;$r1 = mysql_fetch_row($cx2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];  
	  
$nombrebanco=$a1." ".$a2;
echo"<option value=$a0>$nombrebanco</option>";
	}			echo"</select> Referencia:<input type=\"text\" name=referencia size=\"10\" maxlength=\"10\">Fecha Deposito:<input type=\"text\" name=fecha_i size=\"8\" value=\"\">&nbsp;
			<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"><br><br>";		
					}
					if($tarjeta>0){
						echo"Autorizaci&oacute;n Tarjeta:<input type=\"text\" name=tarj size=\"5\" maxlength=\"5\"><br><br>";
					}
					echo"<br><br><font color=\"#294da7\"><b>**Favor de revisar los datos antes de continuar**</b></font><br>";
					echo"<INPUT TYPE=\"SUBMIT\" NAME='confirmap'  VALUE=\"Continuar\" >
						</FORM>	";
						
						
					echo"</body>
				</html>";

?>

